groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 01/02: groff: Add regression test for Savannah #56555.


From: G. Branden Robinson
Subject: [groff] 01/02: groff: Add regression test for Savannah #56555.
Date: Wed, 26 Jun 2019 15:08:55 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit a5c800755b9a3cbfbcf5ea7a425ffd3a8e2f0df3
Author: G. Branden Robinson <address@hidden>
Date:   Thu Jun 27 04:32:04 2019 +1000

    groff: Add regression test for Savannah #56555.
---
 ChangeLog                                |  7 +++++++
 src/roff/groff/groff.am                  |  5 +++--
 src/roff/groff/tests/regression-56555.sh | 28 ++++++++++++++++++++++++++++
 3 files changed, 38 insertions(+), 2 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index ffd38da..61e20b0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2019-06-27  G. Branden Robinson <address@hidden>
+
+       groff: Add regression test for Savannah #56555.
+
+       * src/roff/groff/tests/regression-56555.sh: Provoke segfault
+       with five bytes of input using transparent line indicator.
+
 2019-01-12  Ingo Schwarze  <address@hidden>
 
        Correctly handle groff_mdoc(7) .Lk arguments starting with a dot.
diff --git a/src/roff/groff/groff.am b/src/roff/groff/groff.am
index 0c926b6..0835b9a 100644
--- a/src/roff/groff/groff.am
+++ b/src/roff/groff/groff.am
@@ -7,8 +7,6 @@
 #   Automake migration by 
 #   Bertrand Garrigues <address@hidden>
 #
-# Latest update: 22 Aug 2015
-#
 # 'groff' is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 3 of the License, or
@@ -42,6 +40,9 @@ GROFF_OPTS_OUTPUT = \
 groffoptsdir = $(libprogramdir)
 groffopts_DATA = $(GROFF_OPTS_OUTPUT)
 
+groff_TESTS = src/roff/groff/tests/regression-56555.sh
+TESTS += $(groff_TESTS)
+
 MOSTLYCLEANFILES += groff_opts.tmp $(GROFF_OPTS_OUTPUT)
 
 groff_opts.tmp: src/roff/groff/groff.cpp
diff --git a/src/roff/groff/tests/regression-56555.sh 
b/src/roff/groff/tests/regression-56555.sh
new file mode 100755
index 0000000..556f6f4
--- /dev/null
+++ b/src/roff/groff/tests/regression-56555.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+#
+# Copyright (C) 2019 Free Software Foundation, Inc.
+#
+# This file is part of groff.
+#
+# groff is free software; you can redistribute it and/or modify it under
+# the terms of the GNU General Public License as published by the Free
+# Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# groff is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
+# for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+groff="$abs_top_builddir/test-groff"
+
+# Check for segfault if we try to write a glyph before setting up.
+"$groff" >/dev/null <<EOF
+\!ta
+EOF
+
+exit $?



reply via email to

[Prev in Thread] Current Thread [Next in Thread]